<?php

	/*--------------------------------------------------------------
	# The Moment - March 2008 (for Joomla 1.5)
	# Recoded version - May 2009
	# Copyright (C) 2007-2009 Gavick.com. All Rights Reserved.
	# License: Copyrighted Commercial Software
	# Website: http://www.gavick.com
	# Support: support@gavick.com 
	---------------------------------------------------------------*/

	defined( '_JEXEC' ) or die( 'Restricted index access' );

	// setting variable for template base url
	$template_baseurl = $this->baseurl . '/templates/' . $this->template;

	// Adding MooTools 1.11 to template
	JHTML::_('behavior.mootools');

    $mtype = $this->params->get("mtype", "moomenu");
	// getting information about right module position width
	$column_width = $this->params->get("right_width", 280);
	// getting information about inset module position width
	$inset_width = $this->params->get("inset_width", 180);
	// getting information about logo
	$logo_as_image = ($this->params->get("logo_as_image", 1) == 1) ? true : false;
	// getting footer content
	$footer_content = $this->params->get("footer_content", "Template Design &copy; <a href=\"http://www.gavick.com\" target=\"_blank\">Joomla Templates</a> | GavickPro.  All rights reserved.");
	// getting menu
	$menu = & JSite::getMenu();
	// getting information about frontpage
	$frontpage_i = ($this->params->get("frontpage", 1) == 1) ? false : ($menu->getActive() == $menu->getDefault());	
	// creating JURI instance	
	$url = clone(JURI::getInstance());		
	// getting information about right position border
	$right_dots = $this->params->get("right_dots", 1);
	// getting information about inset position border
	$inset_dots = $this->params->get("inset_dots", 1);
	// getting User object and user ID 
	$user =& JFactory::getUser();
	// getting User ID
	$userID = $user->get('id');
	
	/*--------------------------------------------------------------
	#
	# Calculating mainbody dimensions
	#
	--------------------------------------------------------------*/

	$mainbody_wrapper_width = 880;
	
	if($this->countModules('right'))
	{
		$mainbody_wrapper_width -= $column_width;
	}
	
	if($this->countModules('inset'))
	{
		$mainbody_wrapper_width -= $inset_width;
	}

	/*--------------------------------------------------------------
	#
	# Generating user positions classes
	#
	--------------------------------------------------------------*/

	// empty variables for classes
	$user_position_1 = 'null';
	$user_position_2 = 'null';

	/**
	    $user_position_1
	**/

	// 50%
	if($this->countModules('user1 and user2'))
	{
		$user_position_1 = 'us_width-50';		
	}
	else
	{
		$user_position_1 = 'us_width-100';	
	}

	/**
	    $user_position_2
	**/	
	
	// 50%
	if($this->countModules('user4 and user5'))
	{
		$user_position_2 = 'us_width-50';		
	}
	else
	{
		$user_position_2 = 'us_width-100';	
	}
	
?>